<main>
  <div class="device">
    <header>
      <div class="header-bar"></div>
      <div class="header-title">
        <span class="left pointer z-100" (click)="anterior(year, month)"
          >&lt;&lt;</span
        >
        <span class="right pointer z-100" (click)="siguiente(year, month)"
          >&gt;&gt;</span
        >
        <h1>Calendar - {{ year }}</h1>
      </div>
      <div class="header-weekdays">
        <span>sun</span>
        <span>mon</span>
        <span>tue</span>
        <span>wed</span>
        <span>thu</span>
        <span>fri</span>
        <span>sat</span>
      </div>
    </header>
    <section>
      <h2 class="month">{{ mes[month] }}</h2>
      <form>
        <div class="calendar">
          <input
            *ngFor="let item of calendary(this.week)"
            type="checkbox"
            class="day previous-month pv-31-5 inactive"
          />
          <input
            *ngFor="let item of calendary(days)"
            type="checkbox"
            class="day current-month current"
            [value]="obtenerFecha(item, month, year)"
            (click)="calcularFecha($event)"
          />
        </div>

        <h2 class="month">
          {{ mes[month2] }} <span *ngIf="month2 == 0"> - {{ year2 }}</span>
        </h2>
        <input
          *ngFor="let item of calendary(this.week2)"
          type="checkbox"
          class="day previous-month pv-31-5 inactive"
        />
        <input
          *ngFor="let item of calendary(days2)"
          type="checkbox"
          class="day current-month next"
        />

        <div class="calendar-labels">
          <label class="reset">
            <input type="reset" value="Reset" (click)="reset()" />
          </label>
        </div>
      </form>
    </section>
  </div>
</main>
